#ifndef SHARESDIALOG_H
#define SHARESDIALOG_H

#include <QDialog>
#include <QDebug>
#include <QProcess>
#include <QString>
#include <QMessageBox>
#include <QTranslator>

namespace Ui {
class sharesDialog;
}

class sharesDialog : public QDialog
{
    Q_OBJECT
    
public:
    explicit sharesDialog(QWidget *parent = 0);
    ~sharesDialog();
    Ui::sharesDialog *ui;
    void addShare(QString share);
    QString smbUser;
    QString smbPw;
    QString smbIp;
    QString output;

private:
    QString lastMountpoint;
    QProcess *smbConnectRun = new QProcess(this);

private slots:
    void on_buttonBox_rejected();
    void on_buttonBox_accepted();
    void checkStatus(int stat,QProcess::ExitStatus);
    void updateOutput();
    void updateError();
};

#endif // SHARESDIALOG_H
